
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.engine.api.script.instance.IScriptStyle;
import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Exception thrown when using scriptstyle to setVisibility( "false" )
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that there's no exception thrown when using scriptstyle
 * to setVisibility( "false" )
 */
public class Regression_118990 extends EngineCase
{

	private final static String INPUT = "regression_118990.rptdesign";
	private final static String OUTPUT = "regression_118990.html";

	public void test_Regression_118990( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		Object obj = super.engineTask.getAppContext( ).get( "scriptStyle" );
		assertNotNull( obj );
		assertTrue( obj instanceof IScriptStyle );
		assertEquals( "all", ( (IScriptStyle) obj ).getVisibleFormat( ) );

	}
}